=== debian/changelog ===
tillitis-tkey-libs (0.1.2-2) unstable; urgency=medium

  * Bump debian/* copyright years.
  * salsa-ci: Build reverse dep device-signer.
  * Pin to clang/llvm 19 for reproducibility.
  * Make package team-maintained by pkg-security.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Feb 2025 13:00:55 +0100

tillitis-tkey-libs (0.1.2-1) unstable; urgency=medium

  * Initial release (Closes: #1087422)

 -- Simon Josefsson <simon@josefsson.org>  Wed, 13 Nov 2024 11:46:02 +0100
