=== debian/control ===
Source: tillitis-tkey-libs
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 clang-19,
 clang-tidy-19 <!nocheck>,
 llvm-19,
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/tillitis/tkey-libs
Vcs-Browser: https://salsa.debian.org/debian/tillitis-tkey-libs
Vcs-Git: https://salsa.debian.org/debian/tillitis-tkey-libs.git
Rules-Requires-Root: no

Package: tillitis-tkey-libs
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Tillitis TKey device application helper library
 Device libraries for the Tillitis TKey
 .
  - C runtime: libcrt0.
  - Common C functions including protocol calls: libcommon.
  - Cryptographic functions: libmonocypher.
 .
 This package contains C headers and RISCv32 library object files.
