=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	make CC="clang-19" AR="llvm-ar-19"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make CLANG_TIDY="clang-tidy-19" check
endif
